using System.ComponentModel;
using System.Xml.Serialization;

namespace BallotTemplates
{
    [XmlType("ObjectWithProperties", Namespace = "urn:scan-omr:template")]
    public abstract class ObjectWithProperties : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        protected void OnPropertyChange(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
